> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mavapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user profile

> Returns an exhaustive user profile detail



## OpenAPI

````yaml get /user
openapi: 3.0.1
info:
  title: Mavapay API
  description: API documentation for Mavapay
  license:
    name: MIT
  version: 1.0.0
  contact:
    name: Mavapay
    url: https://mavapay.co
    email: info@mavapay.co
servers:
  - url: https://staging.api.mavapay.co/api/v1
    description: Staging server
  - url: https://api.mavapay.co/api/v1
    description: Live server
security:
  - ApiKeyAuth: []
    bearerAuth: []
tags:
  - name: Price
    description: Price related endpoints
  - name: Payment Link
    description: Payment Link endpoints for creating and managing hosted payment pages
paths:
  /user:
    get:
      tags:
        - User
      summary: Get user profile
      description: Returns an exhaustive user profile detail
      operationId: getUser
      responses:
        '200':
          description: User response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    format: string
                    example: ok
                  data:
                    $ref: '#/components/schemas/User'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
        name:
          type: string
          format: string
          example: John Doe
        email:
          type: string
          format: email
          example: johndoe@email.com
        phone:
          type: string
          format: string
          example: '+2348123456789'
        businessName:
          type: string
          format: string
          example: John Doe Enterprises
        emailVerified:
          type: boolean
          format: boolean
          example: true
        kycInfo:
          type: object
          properties:
            address:
              type: string
              format: string
              example: 3 Opebi Road, Ikeja, Lagos
            phone:
              type: string
              format: string
              example: '+2348123456789'
            nationality:
              type: string
              format: string
              example: Nigeria
            businessName:
              type: string
              format: string
              example: John Doe Enterprises
            status:
              type: string
              format: string
              enum:
                - PENDING
                - APPROVED
                - REJECTED
        account:
          type: object
          properties:
            id:
              type: string
              format: uuid
              example: d1614a76-9c7f-4111-98a7-43199f307e5b
            type:
              type: string
              format: string
              enum:
                - INDIVIDUAL
                - BUSINESS
                - ADMIN
            status:
              type: string
              format: string
              enum:
                - ACTIVE
                - INACTIVE
            walletDetails:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  example: d1614a76-9c7f-4111-98a7-43199f307e5b
                currency:
                  type: string
                  format: string
                  enum:
                    - NGN
                    - KES
                    - BTC
                    - USD
                balance:
                  type: number
                  format: number
                  example: '10000000'
                bankAccount:
                  $ref: '#/components/schemas/BankAccount'
                transactions:
                  type: array
                  items:
                    $ref: '#/components/schemas/Transaction'
            ownerId:
              type: string
              format: string
              example: d1614a76-9c7f-4111-98a7-43199f307e5b
            apiKey:
              type: string
              format: string
              example: d1614a76411198a743199f307e5b
            totalSatsExchanged:
              type: number
              format: number
              example: 1000
            webhook:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  example: d1614a76-9c7f-4111-98a7-43199f307e5b
                url:
                  type: string
                  format: string
                  example: https://webhook.site/12345678-1234-1234-1234-123456789012
                secret:
                  type: string
                  format: string
                  example: secret
                isActive:
                  type: boolean
                  format: boolean
                  example: true
            settings:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  example: d1614a76-9c7f-4111-98a7-43199f307e5b
                autopayout:
                  type: boolean
                  format: boolean
                  example: true
                language:
                  type: string
                  format: string
                  enum:
                    - EN
                    - FR
                    - ES
                notification:
                  type: object
                  properties:
                    email:
                      type: boolean
                      format: boolean
                      example: true
                    sms:
                      type: boolean
                      format: boolean
                      example: true
    Error:
      required:
        - error
        - message
      type: object
      properties:
        status:
          type: string
          format: string
          example: error
        message:
          type: string
    BankAccount:
      type: object
      properties:
        bankName:
          type: string
          format: string
          example: KUDA MICROFINANCE BANK
        bankCode:
          type: string
          format: string
          example: '090267'
        bankAccountNumber:
          type: string
          format: string
          example: '0123456789'
        bankAccountName:
          type: string
          format: string
          example: Satoshi Nakamoto
        currency:
          type: string
          format: string
          enum:
            - NGN
        walletId:
          type: string
          format: string
          example: d1614a76-9c7f-4111-98a7-43199f307e5b-123456789
    Transaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
          description: The unique identifier for the transaction
        walletId:
          type: string
          format: uuid
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
          description: The unique identifier for the wallet
        ref:
          type: string
          format: string
          example: 99eeff854ffd345fffs67890
          description: The reference for the transaction
        hash:
          type: string
          format: string
          example: 189727ef2e0f35921af7858b96e27cbad960b0ec2bb2a4ab73b6a231f9ce8727
          description: >-
            The payment hash for the lightning invoice attached to the quote
            related to the transaction
        amount:
          type: number
          format: number
          example: 1000
          description: The amount of the transaction in its lowest denomination
        fees:
          type: number
          format: number
          example: 0
          description: The fees for the transaction in its lowest denomination
        currency:
          type: string
          format: string
          enum:
            - NGN
            - KES
            - BTC
            - ZAR
            - GHS
          description: The currency of the transaction
        type:
          type: string
          format: string
          enum:
            - WITHDRAWAL
            - DEPOSIT
          description: The type of the transaction
        status:
          type: string
          format: string
          enum:
            - SUCCESS
            - PENDING
            - FAILED
          description: The status of the transaction
        autopayout:
          type: boolean
          format: boolean
          example: true
          description: Whether the transaction is an instant payout
        createdAt:
          type: string
          format: date-time
          example: '2021-07-01T12:00:00Z'
          description: The date and time the transaction was created
        updatedAt:
          type: string
          format: date-time
          example: '2021-07-01T12:00:00Z'
          description: The date and time the transaction was last updated
        metadata:
          $ref: '#/components/schemas/TransactionMetadata'
    TransactionMetadata:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: d1614a76-9c7f-4111-98a7-43199f307e5b
        orderId:
          type: string
          format: string
          example: 99854-2345
        bankCode:
          type: string
          format: string
          example: '090267'
        bankAccountName:
          type: string
          format: string
          example: Satoshi Nakamoto
        bankAccountNumber:
          type: string
          format: string
          example: '0123456789'
        customerInternalFee:
          type: number
          format: number
          example: 0
        createdAt:
          type: string
          format: date-time
          example: '2021-07-01T12:00:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2021-07-01T12:00:00Z'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    bearerAuth:
      type: http
      scheme: bearer

````